#!/bin/bash

# Main loop of SolarGenerator
# This loop reads the values from the battery as well as the solar charger
# When the battery capacity is to low, the SolarGenerator is switched off.
# When the battery is charged up again, the SolarGenerator is switched on again.

battery_switch_on_value=10
battery_switch_off_value=5

current_date=$(/usr/bin/date +'%d-%m-%Y')
previous_date=$(/usr/bin/date +'%d-%m-%Y')

# Get file names of data logging files
#json_bms_file=$(/usr/bin/python /home/marcel/SolarGenerator/get_field_from_json.py -i /home/marcel/SolarGenerator/config.json -f liontron_bms_data_file)
#json_solar_file=$(/usr/bin/python /home/marcel/SolarGenerator/get_field_from_json.py -i /home/marcel/SolarGenerator/config.json -f epever_data_file)

loop_counter=0

while :
do
    
    # Calculate energy consumption of battery evert 15 minutes or so
    if [ $loop_counter -gt 14 ]
    then
        /usr/bin/python /home/marcel/SolarGenerator/get_used_capacity.py /home/marcel/SolarGenerator/config.json > /var/www/html/delta_energy.txt
        let "loop_counter = 0"
    else
       let "loop_counter += 1"
       echo $loop_counter
    fi

    echo
    echo "Loop repeats every 60 seconds. Press [CTRL+C] to stop.."
    sleep 1

done
