<!DOCTYPE html>
<html>
<head>
<title>Solar Generator Dashboard</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" href="styles.css">

<!-- For date and time picker -->
<link href="css/time-pick-light.css" rel="stylesheet">
<link href="css/date-pick-light.css" rel="stylesheet">
<script src="js/time-pick.js"></script>
<script src="js/date-pick.js"></script>

</head>
<body>

<?php 

    $json_string = file_get_contents('liontron_bms_data.json');
    $bms_array = json_decode($json_string,true);
    
    $json_string = file_get_contents('epever_data.json');
    $solar_array = json_decode($json_string,true);

    $remaining_energy =  round($bms_array['remain_cap'] * 12.8, 0);

?>

<div class="header">
  <a href="index.php"><h1>Dashboard Solar Generator 't Meezenest</h1></a>
</div>

<div class="row">
  <div class="col-3 col-s-3 menu">
    <ul>
      <li><b>Gegevens uit accu:</b></li>
      
      <li>Accu energie: <?php echo $remaining_energy; ?> Wh (<?php echo $bms_array['remain_cap_percent']; ?>%)</li>
      <li>Accu resterende capaciteit: <?php echo $bms_array['remain_cap']; ?> Ah</li>
      <li>Accu nominale capaciteit: <?php echo $bms_array['typ_cap']; ?> Ah</li>
      <li>Accu spanning: <?php echo $bms_array['total_voltage']; ?> V</li>
      <li>Accu stroom: <?php echo $bms_array['current']; ?> A</li>
      <li>Accu vermogen: <?php echo $bms_array['power']; ?> W</li>
      <li>Accu temperatuur A: <?php echo $bms_array['temp_1']; ?>&deg; C</li>
      <li>Accu temperatuur B: <?php echo $bms_array['temp_2']; ?>&deg; C</li>
      <li>Accu aantal cycli: <?php echo $bms_array['cycles']; ?></li>
      <li>Accu balance_list: <?php echo $bms_array['balance_list']; ?></li>
      <li>Accu prot_status: <?php echo $bms_array['prot_status']; ?></li>
      <li>Accu fet_bits: <?php echo $bms_array['fet_bits']; ?></li>      
      <li>Accu spanning cel 1: <?php echo $bms_array['voltage_01']; ?> V</li>
      <li>Accu spanning cel 2: <?php echo $bms_array['voltage_02']; ?> V</li>
      <li>Accu spanning cel 3: <?php echo $bms_array['voltage_03']; ?> V</li>
      <li>Accu spanning cel 4: <?php echo $bms_array['voltage_04']; ?> V</li>
      
      <li><b>Gegevens uit solar charger:</b></li>
      
      <li>Solar spanning: <?php echo $solar_array['solar_voltage']; ?> V</li>
      <li>Solar stroom: <?php echo $solar_array['solar_current']; ?> A</li>      
      <li>Solar vermogen: <?php echo $solar_array['solar_power']; ?> W</li>
      <li>Solar Opgewekt: <?php echo round($solar_array['generated_energy_today']/1000, 0); ?> Wh</li>      

      <li>Accu spanning: <?php echo $solar_array['battery_voltage']; ?> V</li>
      <li>Accu stroom: <?php echo $solar_array['battery_current']; ?> A</li>      
      <li>Accu vermogen: <?php echo $solar_array['battery_power']; ?> W</li>
      
      <li>Load spanning: <?php echo $solar_array['load_voltage']; ?> V</li>
      <li>Load stroom: <?php echo $solar_array['load_current']; ?> A</li>      
      <li>Load vermogen: <?php echo $solar_array['load_power']; ?> W</li>
      
      
      <li>Temperatuur controller: <?php echo $solar_array['controller_temp']; ?> &deg; C</li>      
      <li>Temperatuur omgeving: <?php echo $solar_array['ambient_temp']; ?> &deg; C</li>
      <li>Load geactiveerd: <?php echo $solar_array['load_on']; ?> </li>
      
      <li>Solar battery_status: <?php echo $solar_array['battery_status']; ?> </li>      
      <li>Solar controller_status: <?php echo $solar_array['controller_status']; ?> </li>
      <li>Solar RTC: <?php echo $solar_array['controller_date_time']; ?> </li>     
      
      <li><b>Gegevens uit Raspberry Pi:</b></li>
      <li>System clock: <?php echo $solar_array['system_datetime']; ?> </li>     
      <li>Uptime: <?php echo shell_exec("uptime -p | cut -c 4-"); ?> </li>     
      
    </ul>
  </div>

  <div class="col-6 col-s-9">
    <h1>Actuele gegevens</h1>
    <img src="bms_soc.png" class="large">
    <img src="bms_charge_current.png" class="large">
    <img src="bms_spanning.png" class="large">
    <img src="solar_temperatuur.png" class="large">
  </div>

  <div class="col-3 col-s-12 menu">
      <ul>
      <a href="index.php"><li>Terug</li></a>
      <a href="actueel.php"><li>Actuele gegevens</li></a>
      <a href="solar-generator-data.tar.gz"><li>Download data-archief</li></a>
      <form action="set-rtc.php" method="post">
      <li><b>RTC aanpassen</b></li>
      <!--<li>Tijd instellen: <input type="text" id="SetTime" class="input-blue" value="12:00"/></li>-->
      <li>Tijd instellen: <input type="text" id="SetTime" name="SetTime" class="input-blue" value="<?php echo substr($solar_array['controller_date_time'], 11, 5);?>"/></li>      
      <li>Datum instellen: <input type="text" id="SetDate" name="SetDate" class="input-blue" value="<?php echo substr($solar_array['controller_date_time'], 0, 10);?>"/></li>
      <li><input type="submit" class="input-blue-submit" name="submit" Value="Verstuur naar RTC"></li></a>
      <!--<li>Afgelopen week</li>-->
      <!--<li>Expert</li>-->
    </ul>
  </div>
</div>

<div class="footer">
  <p>Open source hardware and software. Visit https://www.meezenest.nl/mees for more information.</p>
</div>
<script>
    document.getElementById("SetTime").addEventListener("mouseover", function(){
      //console.log(target.id);
      tp.attach({
        target: "SetTime"
      });
    });
    document.getElementById("SetDate").addEventListener("mouseover", function(){
      //console.log(target.id);
      dp.attach({
        target: "SetDate"
      });
    });

    //window.addEventListener("load", function (){
    //  tp.attach({
    //    target: "SetTime"
    //  });
    //});
</script>

</body>
</html>


