<!DOCTYPE html>
<html>
<head>
<title>Solar Generator Dashboard</title>
<meta http-equiv="refresh" content="60">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" href="styles.css">
</head>
<body>

<?php 
    $json_string = file_get_contents('liontron_bms_data.json');
    $bms_array = json_decode($json_string,true);
    
    $json_string = file_get_contents('epever_data.json');
    $solar_array = json_decode($json_string,true);

    $remaining_energy =  round($bms_array['remain_cap'] * 12.8, 0);

    $image_src = 'rodentia-icons_battery-missing.svg';
    
    // Battery is charging
    if ($bms_array['current'] > "0") {

    if ($bms_array['remain_cap_percent'] < "5") {
            $image_src = 'rodentia-icons_battery-empty-charging.svg';
        }
        elseif ($bms_array['remain_cap_percent'] < "10") {
            $image_src = 'rodentia-icons_battery-low-charging.svg';
        }
        elseif ($bms_array['remain_cap_percent'] < "25") {
            $image_src = 'rodentia-icons_battery-caution-charging.svg';
        }
        elseif ($bms_array['remain_cap_percent'] < "75") {
            $image_src = 'rodentia-icons_battery-medium-charging.svg';
        }
        elseif ($bms_array['remain_cap_percent'] < "90") {
            $image_src = 'rodentia-icons_battery-high-charging.svg';
        }
        else {
            $image_src = 'rodentia-icons_battery-full-charging.svg';
        }
    
    
    }
    // Battery is not charging
    else {

        if ($bms_array['remain_cap_percent'] < "5") {
            $image_src = 'rodentia-icons_battery-empty.svg';
        }
        elseif ($bms_array['remain_cap_percent'] < "10") {
            $image_src = 'rodentia-icons_battery-low.svg';
        }
        elseif ($bms_array['remain_cap_percent'] < "25") {
            $image_src = 'rodentia-icons_battery-caution.svg';
        }
        elseif ($bms_array['remain_cap_percent'] < "75") {
            $image_src = 'rodentia-icons_battery-medium.svg';
        }
        elseif ($bms_array['remain_cap_percent'] < "90") {
            $image_src = 'rodentia-icons_battery-high.svg';
        }
        else {
            $image_src = 'rodentia-icons_battery-full.svg';
        }
    
    }
    
    $delta_energy = shell_exec("cat delta_energy.txt");
    $used_energy = round($solar_array['generated_energy_today']/1000 - $delta_energy * 12.8, 2);

?>

<div class="header">
  <h1>Dashboard</h1>
</div>

<div class="row">
  <div class="col-3 col-s-3 menu">
    <ul>
      <li>In accu: <?php echo $remaining_energy; ?> Wh</li>
      <li>Vandaag opgewekt: <?php echo round($solar_array['generated_energy_today']/1000, 0); ?> Wh</li>
      <li>Vandaag verbruikt: <?php echo $used_energy; ?> Wh</li>
    </ul>
  </div>

  <div class="col-6 col-s-9">
     <img src="<?php echo $image_src; ?>" />
     <h1><?php echo $bms_array['remain_cap_percent']; ?>%</h1>
<!--     <h1>Accustatus</h1>-->
  </div>

  <div class="col-3 col-s-12 menu">
      <ul>
      <a href="actueel.php"><li>Actuele gegevens</li></a>
      <!--<li>Afgelopen week</li>-->
      <a href="expert.php"><li>Expert</li></a>
    </ul>
  </div>
</div>

<div class="footer">
  <p>Open source hardware and software. Visit https://www.meezenest.nl/mees for more information.</p>
</div>

</body>
</html>


